## q4wine 0.120-r1

=== debian/changelog ===
q4wine (0.120-r1-3ubuntu0.1) natty-proposed; urgency=low

  * Edited debian/control:
    - section with dependencies of binary package was updated:
      + Ubuntu users now need to have wine, wine1.0, wine1.2 or wine1.3
        (LP: #793777)
    - fixed misprint in description: Winetriks -> Winetricks
      (see: http://bugs.debian.org/631260)

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 23 Jun 2011 23:26:20 +0300

q4wine (0.120-r1-3) unstable; urgency=low

  * Updated debian/patches/
    - added fix for cmake option SKIP_RPATH (it makes program unusable)
    - updated fix for Debian GNU/kFreeBSD
  * Edited debian/control:
    - section with long description was updated
    - section with dependencies of binary package was updated:
      + Debian users need to have wine-bin or wine-bin-unstable
      + Ubuntu users need to have wine1.0 or wine1.2

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 20 Feb 2011 21:35:38 +0200

q4wine (0.120-r1-2) unstable; urgency=low

  * Edited debian/rules to fix libq4wine-core.so destination
    from /usr/lib64/q4wine/ to /usr/lib/q4wine/ (Closes: #612027)
  * Added debian/patches/
    - possible fix for Debian GNU/kFreeBSD
    - possible fix for Debian GNU/Hurd

 -- Boris Pek <tehnick-8@mail.ru>  Mon, 14 Feb 2011 23:34:32 +0200

q4wine (0.120-r1-1) unstable; urgency=low

  * Update to stable release 0.120-r1.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 09 Jan 2011 00:25:06 +0200

q4wine (0.120-2) unstable; urgency=low

  * Upload to unstable branch.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 21 Nov 2010 02:26:21 +0200

q4wine (0.120-1) experimental; urgency=low

  * Update to stable release 0.120.

 -- Boris Pek <tehnick-8@mail.ru>  Sun, 03 Oct 2010 16:42:29 +0300

q4wine (0.119-r1-1) experimental; urgency=low

  * Update to bug fix release 0.119-r1.
  * Updated file debian/copyright.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 19 Aug 2010 17:30:37 +0300

q4wine (0.119-1) experimental; urgency=low

  * Update to stable release 0.119.
  * Fixed file debian/rules.
    (parallel=<n> from DEB_BUILD_OPTIONS is now using)
  * Fixed file debian/copyright.
    (lintian warning `copyright-with-old-dh-make-debian-copyright' is fixed)
  * Added debian/watch file.

 -- Boris Pek <tehnick-8@mail.ru>  Thu, 12 Aug 2010 00:05:43 +0300
